Description: bullet after =item is not allowed anymore
Origin: vendor
Bug: https://rt.cpan.org/Ticket/Display.html?id=88281
Forwarded: https://rt.cpan.org/Ticket/Display.html?id=88281
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2013-08-30

--- a/Admin.pm
+++ b/Admin.pm
@@ -313,27 +313,27 @@
 The only methods in this class are the constructor (I<new>, described
 above) and the following accessor methods.
 
-=item * admin_server {KADM5_CONFIG_ADMIN_SERVER}
+=item admin_server {KADM5_CONFIG_ADMIN_SERVER}
 
 Admin server hostname
 
-=item * kadmind_port {KADM5_CONFIG_KADMIND_PORT}
+=item kadmind_port {KADM5_CONFIG_KADMIND_PORT}
 
 Admin server port number
 
-=item * kpasswd_port {KADM5_CONFIG_KPASSWD_PORT}
+=item kpasswd_port {KADM5_CONFIG_KPASSWD_PORT}
 
 Kpasswd server port number
 
-=item * mask
+=item mask
 
 Mask (described above)
 
-=item * profile {KADM5_CONFIG_PROFILE}
+=item profile {KADM5_CONFIG_PROFILE}
 
 Kerberos 5 configuration profile
 
-=item * realm {KADM5_CONFIG_REALM}
+=item realm {KADM5_CONFIG_REALM}
 
 Kerberos 5 realm name
 
@@ -343,32 +343,32 @@
 The only methods in this class are the constructor (I<new>, described
 above) and the following accessor methods.
 
-=item * key_contents
+=item key_contents
 
 Key contents, encrypted with the KDC master key.  This data may not be
 available remotely.
 
-=item * enc_type
+=item enc_type
 
 Kerberos 5 enctype of the key
 
-=item * key_type
+=item key_type
 
 Alias for I<enc_type>
 
-=item * kvno
+=item kvno
 
 Key version number
 
-=item * salt_contents
+=item salt_contents
 
 Salt contents, if any (I<ver> > 1)
 
-=item * salt_type
+=item salt_type
 
 Salt type, if any (I<ver> > 1)
 
-=item * ver
+=item ver
 
 Version number of the underlying I<krb5_key_data> structure
 
@@ -378,53 +378,53 @@
 are the constructor (I<new>, described above) and the following
 accessor methods.
 
-=item * mask
+=item mask
 
 Mask (described above)
 
-=item * name {KADM5_POLICY}
+=item name {KADM5_POLICY}
 
 Policy name
 
-=item * pw_history_num {KADM5_PW_HISTORY_NUM}
+=item pw_history_num {KADM5_PW_HISTORY_NUM}
 
 Number (between 1 and 10, inclusive) of past passwords to be stored
 for the principal.  A principal may not set its password to any of its
 previous I<pw_history_num> passwords.
 
-=item * pw_max_life {KADM5_PW_MAX_LIFE}
+=item pw_max_life {KADM5_PW_MAX_LIFE}
 
 Default number of seconds a password lasts before the principal is
 required to change it
 
-=item * pw_max_fail {KADM5_PW_MAX_FAILURE}
+=item pw_max_fail {KADM5_PW_MAX_FAILURE}
 
 The maximum allowed number of attempts before a lockout.
 
-=item * pw_failcnt_interval {KADM5_PW_FAILURE_COUNT_INTERVAL}
+=item pw_failcnt_interval {KADM5_PW_FAILURE_COUNT_INTERVAL}
 
 The period after which the bad preauthentication count will be reset.
 
-=item * pw_lockout_duration {KADM5_PW_LOCKOUT_DURATION}
+=item pw_lockout_duration {KADM5_PW_LOCKOUT_DURATION}
 
 The period in which lockout is enforced; a duration of zero means that
 the principal must be manually unlocked.
 
-=item * pw_min_classes {KADM5_PW_MIN_CLASSES}
+=item pw_min_classes {KADM5_PW_MIN_CLASSES}
 
 Number (between 1 and 5, inclusive) of required character classes
 represented in a password
 
-=item * pw_min_length {KADM5_PW_MIN_LENGTH}
+=item pw_min_length {KADM5_PW_MIN_LENGTH}
 
 Minimum number of characters in a password
 
-=item * pw_min_life {KADM5_PW_MIN_LIFE}
+=item pw_min_life {KADM5_PW_MIN_LIFE}
 
 Number of seconds a password must age before the principal may change
 it
 
-=item * policy_refcnt {KADM5_REF_COUNT}
+=item policy_refcnt {KADM5_REF_COUNT}
 
 Number of principals referring to this policy (read-only, does not set
 KADM5_REF_COUNT automatically)
@@ -439,95 +439,95 @@
 above), the following accessor methods, and I<policy_clear>, which is
 used to clear the policy attribute.
 
-=item * attributes {KADM5_ATTRIBUTES}
+=item attributes {KADM5_ATTRIBUTES}
 
 Bitfield representing principal attributes (see L<kadmin(8)>)
 
-=item * aux_attributes {KADM5_AUX_ATTRIBUTES}
+=item aux_attributes {KADM5_AUX_ATTRIBUTES}
 
 Bitfield used by kadmin.  Currently only recognizes the KADM5_POLICY,
 which indicates that a policy is in effect for this principal.  This
 attribute is read-only, so KADM5_AUX_ATTRIBUTES is not set
 automatically.
 
-=item * fail_auth_count {KADM5_FAIL_AUTH_COUNT}
+=item fail_auth_count {KADM5_FAIL_AUTH_COUNT}
 
 Number of consecutive failed AS_REQs for this principal.  This
 attribute is read-only, so KADM5_FAIL_AUTH_COUNT is not set
 automatically.
 
-=item * kvno {KADM5_KVNO}
+=item kvno {KADM5_KVNO}
 
 Key version number
 
-=item * last_failed {KADM5_LAST_FAILED}
+=item last_failed {KADM5_LAST_FAILED}
 
 Time (in seconds since the Epoch) of the last failed AS_REQ for this
 principal.  This attribute is read-only, so KADM5_LAST_FAILED is not
 set automatically.
 
-=item * last_pwd_change {KADM5_LAST_PWD_CHANGE}
+=item last_pwd_change {KADM5_LAST_PWD_CHANGE}
 
 Time (in seconds since the Epoch) of the last password change for this
 principal.  This attribute is read-only, so KADM5_LAST_PWD_CHANGE is
 not set automatically.
 
-=item * last_success {KADM5_LAST_SUCCESS}
+=item last_success {KADM5_LAST_SUCCESS}
 
 Time (in seconds since the Epoch) of the last successful AS_REQ for
 this principal.  This attribute is read-only, so KADM5_LAST_SUCCESS is
 not set automatically.
 
-=item * mask
+=item mask
 
 Mask (see above)
 
-=item * max_life {KADM5_MAX_LIFE}
+=item max_life {KADM5_MAX_LIFE}
 
 maximum lifetime in seconds of any Kerberos ticket issued to this
 principal
 
-=item * max_renewable_life {KADM5_MAX_RLIFE}
+=item max_renewable_life {KADM5_MAX_RLIFE}
 
 maximum renewable lifetime in seconds of any Kerberos ticket issued to
 this principal
 
-=item * mod_date {KADM5_MOD_TIME}
+=item mod_date {KADM5_MOD_TIME}
 
 Time (in seconds since the Epoch) this principal was last modified.
 This attribute is read-only, so KADM5_MOD_TIME is not set
 automatically.
 
-=item * mod_name {KADM5_MOD_NAME}
+=item mod_name {KADM5_MOD_NAME}
 
 Kerberos principal (B<Authen::Krb5::Principal>, see
 L<Authen::Krb5(3)>) that last modified this principal.  This attribute
 is read-only, so KADM5_MOD_NAME is not set automatically.
 
-=item * policy {KADM5_POLICY}
+=item policy {KADM5_POLICY}
 
 Name of policy that affects this principal if KADM5_POLICY is set in
 I<aux_attributes>
 
-=item * policy_clear {KADM5_POLICY_CLR}
+=item policy_clear {KADM5_POLICY_CLR}
 
 Not really an attribute--disables the current policy for this
 principal.  This method doesn't return anything.
 
-=item * princ_expire_time {KADM5_PRINC_EXPIRE_TIME}
+=item princ_expire_time {KADM5_PRINC_EXPIRE_TIME}
 
 Expire time (in seconds since the Epoch) of the principal
 
-=item * principal {KADM5_PRINCIPAL}
+=item principal {KADM5_PRINCIPAL}
 
 Kerberos principal itself (B<Authen::Krb5::Principal>, see
 L<Authen::Krb5(3)>)
 
-=item * pw_expiration {KADM5_PW_EXPIRATION}
+=item pw_expiration {KADM5_PW_EXPIRATION}
 
 Expire time (in seconds since the Epoch) of the principal's password
 
-=item * db_args [@ARGS]
+=item db_args [@ARGS]
 
 When called without any C<@ARGS>, returns the list of arguments that
 will be passed into the underlying database, as with C<addprinc -x> in
@@ -578,82 +578,82 @@
 the configuration from the Kerberos 5 profile (F</etc/krb5.conf> by
 default).
 
-=item * $kadm5 =  Authen::Krb5::Admin->init_with_creds($client, $krb5_ccache[, $service, $kadm5_config])
+=item $kadm5 =  Authen::Krb5::Admin->init_with_creds($client, $krb5_ccache[, $service, $kadm5_config])
 
 Authenticate using the credentials cached in $krb5_ccache.
 
-=item * $kadm5 = Authen::Krb5::Admin->init_with_password($client[, $password, $service, $kadm5_config])
+=item $kadm5 = Authen::Krb5::Admin->init_with_password($client[, $password, $service, $kadm5_config])
 
 Authenticate with $password.
 
-=item * $kadm5 = Authen::Krb5::Admin->init_with_skey($client[, $keytab_file, $service, $kadm5_config])
+=item $kadm5 = Authen::Krb5::Admin->init_with_skey($client[, $keytab_file, $service, $kadm5_config])
 
 Authenticate using the keytab stored in $keytab_file.  If $keytab_file
 is undef, the default keytab is used.
 
 =item Principal Operations
 
-=item * $success = $kadm5->chpass_principal($krb5_princ, $password)
+=item $success = $kadm5->chpass_principal($krb5_princ, $password)
 
 Change the password of $krb5_princ to $password.
 
-=item * $success = $kadm5->create_principal($kadm5_princ[, $password])
+=item $success = $kadm5->create_principal($kadm5_princ[, $password])
 
 Insert $kadm5_princ into the database, optionally setting its password
 to the string in $password.  Clears KADM5_POLICY_CLR and
 KADM5_FAIL_AUTH_COUNT.
 
-=item * $success = $kadm5->delete_principal($krb5_princ)
+=item $success = $kadm5->delete_principal($krb5_princ)
 
 Delete the principal represented by $krb5_princ from the database.
 
-=item * $kadm5_princ = $kadm5->get_principal($krb5_princ[, $mask])
+=item $kadm5_princ = $kadm5->get_principal($krb5_princ[, $mask])
 
 Retrieve the Authen::Krb5::Admin::Principal object for the principal
 $krb5_princ from the database.  Use KADM5_PRINCIPAL_NORMAL_MASK to
 retrieve all of the useful attributes.
 
-=item * @names = $kadm5->get_principals([$expr])
+=item @names = $kadm5->get_principals([$expr])
 
 Retrieve a list of principal names matching the glob pattern $expr.
 In the absence of $expr, retrieve the list of all principal names.
 
-=item * $success = $kadm5->modify_principal($kadm5_princ)
+=item $success = $kadm5->modify_principal($kadm5_princ)
 
 Modify $kadm5_princ in the database.  The principal to modify is
 determined by C<$kadm5_princ-E<gt>principal>, and the rest of the writable
 parameters will be modified accordingly.  Clears KADM5_PRINCIPAL.
 
-=item * @keys = $kadm5->randkey_principal($krb5_princ)
+=item @keys = $kadm5->randkey_principal($krb5_princ)
 
 Randomize the principal in the database represented by $krb5_princ and
 return B<Authen::Krb5::Keyblock> objects.
 
-=item * $success = $kadm5->rename_principal($krb5_princ_from, $krb5_princ_to)
+=item $success = $kadm5->rename_principal($krb5_princ_from, $krb5_princ_to)
 
 Change the name of the principal from $krb5_princ_from to $krb5_princ_to.
 
 =item Policy Operations
 
-=item * $success = $kadm5->create_policy($kadm5_pol)
+=item $success = $kadm5->create_policy($kadm5_pol)
 
 Insert $kadm5_pol into the database.
 
-=item * $success = $kadm5->delete_policy($name)
+=item $success = $kadm5->delete_policy($name)
 
 Delete the policy named $name from the database.
 
-=item * $kadm5_pol = $kadm5->get_policy([$name])
+=item $kadm5_pol = $kadm5->get_policy([$name])
 
 Retrieve the B<Authen::Krb5::Admin::Policy> object for the policy
 named $name from the database.
 
-=item * @names = $kadm5->get_policies([$expr])
+=item @names = $kadm5->get_policies([$expr])
 
 Retrieve a list of policy names matching the glob pattern $expr.  In
 the absence of $expr, retrieve the list of all policy names.
 
-=item * $success = $kadm5->modify_policy($kadm5_pol)
+=item $success = $kadm5->modify_policy($kadm5_pol)
 
 Modify $kadm5_pol in the database.  The policy to modify is
 determined by C<$kadm5_pol->name>,(and the rest of the writable)
@@ -661,18 +661,18 @@
 
 =item Other Methods
 
-=item * $magic_value = Authen::Krb5::Admin::error [$error]
+=item $magic_value = Authen::Krb5::Admin::error [$error]
 
 Return value that acts like $! (see L<perlvar(1)>) for the most
 recent Authen::Krb5::Admin call.  With error code $error, return
 the error message corresponding to that error code.
 
-=item * $error_code = Authen::Krb5::Admin::error_code
+=item $error_code = Authen::Krb5::Admin::error_code
 
 Returns the value of the error code for the most recent
 Authen::Krb5::Admin call as a simple integer.
 
-=item * $privs = $kadm5->get_privs
+=item $privs = $kadm5->get_privs
 
 Return a bitfield representing the kadmin privileges a principal has,
 as follows:
